%define	name		libgtk-java
%define apiversion	2.4
%define	version		%{apiversion}.6
%define	release		1jpp

Summary:	Java bindings for the GTK library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
URL:		http://java-gnome.sourceforge.net/
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/libgtk-java/2.4/libgtk-java-2.4.6.tar.bz2
# Patches from fitzsim
Patch0:		libgtk-java-docs-inst.patch
Patch1:		libgtk-java-run-example.patch
BuildRequires:	%{_bindir}/db2html
BuildRequires:	%{_datadir}/sgml/docbook/sgml-dtd-3.1/catalog
BuildRequires:  %{_libdir}/pkgconfig/gdk-2.0.pc
BuildRequires:	java-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libgtk-java is a set of Java bindings for the GTK library that allow 
GTK applications to be written in Java.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

[ -f configure ] || %__ln_s autogen.sh configure

%build 
export JAVAC=%{javac}
export JAVADOC=%{javadoc}
export JAR=%{jar}
export DB1=%{_bindir}/db2html
%configure --without-gcj-compile
%make JAVA_INCLUDES+="-I%{java_home}/include -I%{java_home}/include/linux"

pushd doc
  %{_bindir}/db2html FAQ.sgml
  %__perl -p -i -e 's/index.html/FAQ.html/g' FAQ/index.html
  %__mv -f FAQ/index.html ../FAQ.html
  %__rm -f examples/.cvsignore
  %__mv -f examples ..
  %__rm -f FAQ.sgml Makefile Makefile.in .cvsignore
popd

%javadoc -d api -sourcepath src/java -public -use -version -author \
                -windowtitle "Java-Gnome %{apiversion} API Reference" \
                -doctitle "Java-Gnome %{apiversion} API Reference" \
                -footer "Please send any bug reports, comments, or \
suggestions for the API or documentation to  <a \ 
href=\"mailto:java-gnome-developer@lists.sf.net\">java-gnome-developer@\
lists.sf.net</a>" org.gnu.glib org.gnu.pango org.gnu.atk org.gnu.gdk \
org.gnu.gtk org.gnu.gtk.event

%install
%__rm -rf %{buildroot}
%makeinstall

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%clean
%__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO FAQ.html examples
%attr(0755,root,root) %{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/java/*.jar
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Fri Dec 10 2004 David Walluck <david@jpackage.org> 0:2.4.6-1jpp
- release
